Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "468a3b3b-20ed-4914-8a32-eaa1f859670c",
"estimated_quantity": 2.0,
"article_id": "d955357e-0c55-49e3-99e1-34cb48b5f529",
"article_code": "sample string 4",
"article": {
"id": "dc792ae5-485c-442e-90cc-0bdf339e60c2",
"article_category_id": "f2f0d6f4-37bb-4b7c-aa3c-4859c7f52b59",
"article_category": {
"id": "b8f01bb6-4231-4b9c-814b-f14f6ea526be",
"parent_id": "70aa886f-c6e9-4047-bb98-b16b8bdeca54",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "dd2f0498-bb08-4e19-9d72-47e58ad447be",
"article_group_1_code": "sample string 5",
"article_group_2_id": "c4f40b3c-e248-45a6-bfc5-94ebf30edb52",
"article_group_2_code": "sample string 7",
"article_group_3_id": "9477c45d-6896-4eea-a12a-1afcb62efd1d",
"article_group_3_code": "sample string 9",
"article_group_4_id": "9ccb5b5e-11bd-4d1b-82e2-c3d07f66ccaf",
"article_group_4_code": "sample string 11",
"article_group_5_id": "8696350e-d3e0-46a5-964d-082bb284c5e5",
"article_group_5_code": "sample string 13",
"article_group_6_id": "9451a081-ad7a-410e-8842-d1b714ec6d35",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-17T17:12:49.9363527+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-17T17:12:49.9363527+00:00",
"date_update": "2026-11-17T17:12:49.9363527+00:00",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00",
"article_color_id": "0829036e-4f4f-4f73-9d34-b2fdd6814ce4",
"article_color_code": "sample string 38",
"article_color": {
"id": "1f993ae9-ff3e-485b-943e-29d85321a461",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "3eb5c713-96d4-4c4c-90f1-f585cdb13541",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "deb23596-627c-4993-a47e-489b537e24f9",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "961088f9-f935-4ec7-9625-75dc5defbcd0",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "919b30bf-dbca-4352-9abe-a63212ae5abd",
"_parent_id": "f19ff80a-2bd6-4794-8251-a3da3cfcd2ec",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "1cde0869-ddb4-466e-9d45-1b3afa2eaa01",
"project_reference_back_office": "sample string 5",
"project": {
"id": "581a40c9-84e5-4e9b-ae34-bbce199265b6",
"_parent_id": "c7e91a4c-eecd-4b39-bcaf-aecb6ee8abe9",
"root_parent_id": "c59260cd-5441-4705-a4c1-d34fd4001532",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "27975dad-05fc-4531-9370-f1974feb8d13",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "1f3b9e64-a28d-42ef-be83-c3796e732a63",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "468b5939-ac49-4a74-80ec-15454d5eba2b",
"_parent_code": "sample string 6",
"sales_organization_id": "e7ed4560-5e47-447a-9c6a-3979d6a22f1c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"equipment_model_id": "d3b88faa-3be2-4239-9b75-624c417da154",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "682812f1-93da-4dfc-b45b-9b279fc92c86",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "a8294985-7b85-4a11-b873-92a310fabf37",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "878db60c-5544-40e5-bff1-7e7a36b85167",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "22e24ecb-ac8e-4f18-9ca4-6d6f0fe31227",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"equipment_family_id": "8c1df96a-a88e-4ee9-bc0e-097e2b584ff9",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "1f3b9e64-a28d-42ef-be83-c3796e732a63",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "468b5939-ac49-4a74-80ec-15454d5eba2b",
"_parent_code": "sample string 6",
"sales_organization_id": "e7ed4560-5e47-447a-9c6a-3979d6a22f1c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"date_in_production_since": "2026-11-17T17:12:49.9363527+00:00",
"date_out_of_production_since": "2026-11-17T17:12:49.9363527+00:00",
"date_end_support": "2026-11-17T17:12:49.9363527+00:00",
"sales_organization_id": "49782bdf-de8e-4e6b-ab55-2617843fe9f6",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"project_status_id": "4bc59e83-8859-4582-b90b-6e390e693be9",
"project_status_code": "sample string 10",
"project_status": {
"id": "ace61e44-37b4-47e5-afde-d1d33b65b412",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "7b78e99e-6a4d-4afa-bb89-cdf4e4059629",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"company_id": "afc7fe37-18e7-4716-9d1c-2ad8eaa5644c",
"company_code": "sample string 12",
"db_address_id": "90f12bad-91f3-47f1-b734-4d12142d3b54",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "f2d5cc8b-90b7-4cff-a146-d0e8f843b962",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "5d685cfd-fe1e-40f8-8512-e9206b2861ab",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-17T17:12:49.9363527+00:00",
"date_create": "2026-11-17T17:12:49.9519733+00:00",
"date_update": "2026-11-17T17:12:49.9519733+00:00",
"updated_by_user_id": "45564a63-cd48-43ae-9ad4-cbe483d52ebb",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-17T17:12:49.9519733+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-17T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-17T17:12:49.9519733+00:00",
"date_last_job": "2026-11-17T17:12:49.9519733+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-17T17:12:49.9519733+00:00",
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00",
"is_mobile_installation": true
},
"job_type_id": "e7e37d2b-fedd-4c27-9df6-d9521f7eb8d1",
"job_type_code": "sample string 7",
"job_type": {
"id": "452d6ff3-37c0-4942-8499-fec7f2b942d9",
"name": "sample string 2",
"sales_organization_id": "7bdf7287-0eab-4f2c-a092-39623acc5a62",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00",
"code": "sample string 7"
},
"job_priority_id": "bbcb0b71-dbe8-42d2-a30e-5ee9acb1c5ac",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "86c914d9-5e4d-413b-bf5b-7ee93c3edaf1",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "3e653f5b-774e-4249-8dd5-461fb41c0425",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00"
},
"job_status_id": "5bf1b3ed-001e-4e0a-b134-ca74a13245c4",
"job_status_code": "sample string 11",
"db_address_id": "aeb52f16-fe32-45c6-8cb9-6c96e2dfb61b",
"contact_id": "4c04da73-58dc-4095-a251-914070e24b52",
"requested_by_company_id": "77e37a86-6b3e-44e4-bdc6-89ecbec66e56",
"requested_by_contact_id": "5f6644cf-33bf-48f2-8ce1-ac784e97de9c",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-17T17:12:49.9519733+00:00",
"due_date": "2026-11-17T17:12:49.9519733+00:00",
"date_create": "2026-11-17T17:12:49.9519733+00:00",
"date_update": "2026-11-17T17:12:49.9519733+00:00",
"date_closed": "2026-11-17T17:12:49.9519733+00:00",
"suggested_user_id": "16d68056-f6b1-4623-9010-3420d9d67239",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "685b1ed4-74f0-4ddb-8f0b-72411c675d1b",
"db_language_id": "fdd88432-dc4c-488d-8969-d28dad2cf14f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-17T17:12:49.9519733+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "9d6e1c00-97ac-4352-8aa8-b3078bf3e81c",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "41e0b144-1e8d-4f9e-8955-5c7f300b60e7",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "cff0d190-1eee-4788-a0b7-e52662b32ce1",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "7cc0ab80-16dd-4566-bc5b-ceb9198c9ed0"
},
"suggested_date_start": "2026-11-17T17:12:49.9519733+00:00",
"skill_id": "66dd78ec-46e9-4c10-becf-ff89cfe5f483",
"skill_code": "sample string 32",
"skill": {
"id": "c723008d-e97d-48f1-bcfa-e29cf169acc1",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "c5dec049-869d-4377-8280-6bad75cd6fad",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "061ba384-282d-49b3-90b6-689f1d4a1f31",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a40a6348-65c0-4a3f-836c-795a72f72b86",
"db_currency_id": "5adc64b7-69b3-461d-a877-325cec3e94a0",
"db_language_id": "4899df3b-57c6-4b24-bb3f-2ac66e274d4c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T17:12:49.9363527+00:00"
},
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "1466e957-1645-4269-84c8-2a6e9c49ffd1",
"date_reported_by_company": "2026-11-17T17:12:49.9519733+00:00",
"id2": 36,
"company_id": "d51d8ab8-c351-41d4-9c5f-9f1bb310603b",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "7193536e-3d61-4fea-8e02-317e3964a4ea",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-17T17:12:49.9519733+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.